<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Get ServiceType
 * @subpackage Services
 */
class Get extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GetQueryDS
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetQueryDS $parameters
     * @return \StructType\GetQueryDSResponse|bool
     */
    public function GetQueryDS(\StructType\GetQueryDS $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetQueryDS($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetQueryXML
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetQueryXML $parameters
     * @return \StructType\GetQueryXMLResponse|bool
     */
    public function GetQueryXML(\StructType\GetQueryXML $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetQueryXML($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetQueryJSON
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetQueryJSON $parameters
     * @return \StructType\GetQueryJSONResponse|bool
     */
    public function GetQueryJSON(\StructType\GetQueryJSON $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetQueryJSON($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GetQueryDSResponse|\StructType\GetQueryJSONResponse|\StructType\GetQueryXMLResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
